Subject: bug#31641: 26.1; iter-do variable not left unused warning

From: Stefan Monnier <[email-masked]>
Date: Fri, 05 Feb 2021 10:03:53 -0500

> If I'm reading that correctly, that does seem like more obvious
> semantics, but is it too late to change this now?  I'm not sure how much
> generator.el is used in the wild yet...

The change in semantics is fairly subtle (e.g. Common-Lisp allows both
choices for the similar choice of behavior in `dotimes` and `dolist`),
so it's rather unlikely to break existing code, IMO (and I think the
likelihood would be higher if the change were in the other direction).

        Stefan